<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.orderplatform.mapper.PlatformOperateRecordMapper">

    <select id="PageByCreateDesc" resultType="com.alibaba.fastjson.JSONObject">
        SELECT
            (SELECT order_title from ctop_platform_order where order_code=t.order_code)  orderTitle,
            (SELECT material_name from ctop_platform_material where material_code=t.material_code)  materialName,
            (SELECT realname from sys_user where id=t.user_id) userName,
            operate,
            create_time as createTime
        FROM
            ctop_platform_operate_record t
        ORDER BY
            create_time DESC
        LIMIT 50
    </select>
</mapper>